Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452730 - RFE: Allow mock chroot's location to be configurable
Summary: RFE: Allow mock chroot's location to be configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 17:25 UTC by Waseem Daher
Modified: 2015-06-20 21:13 UTC (History)
9 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:50:30 UTC


Attachments (Terms of Use)
Patch that lets the user specify the mock chroot location (deleted)
2008-06-24 17:25 UTC, Waseem Daher
no flags Details | Diff

Description Waseem Daher 2008-06-24 17:25:29 UTC
I've written a patch so that the chroot location can be specified on the
commandline with --rootdir=DIRECTORY or in the config file. This makes life
easier for people who want to use mock similarly to the way one would use
debootstrap. (Without this, the chroot always shows up in "config['root']/root")

I've attached the "git show" output for this change.

Comment 1 Waseem Daher 2008-06-24 17:25:29 UTC
Created attachment 310167 [details]
Patch that lets the user specify the mock chroot location

Comment 2 Ricky Zhou 2009-08-05 16:55:28 UTC
Ping, is this still the right place to submit mock bugs/patches?

Comment 3 Miroslav Suchý 2014-11-18 16:10:56 UTC
Fedorahosted product is retired and nearly invisible. Moving to Fedora product.

Comment 4 Fedora End Of Life 2015-01-09 16:12:22 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Miroslav Suchý 2015-04-24 07:18:14 UTC
With some changes applied as:
* 07730f7 Allow the chroot's location to be configurable [RHBZ#452730]

Comment 6 Fedora Update System 2015-04-29 13:16:21 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 7 Fedora Update System 2015-04-29 13:16:47 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 8 Fedora Update System 2015-04-29 13:17:42 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 9 Fedora Update System 2015-04-29 13:18:48 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 10 Fedora Update System 2015-04-29 13:25:41 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 11 Fedora Update System 2015-04-29 19:18:29 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-05-01 16:50:30 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-02 18:08:10 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-05-12 20:46:22 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-06-04 11:42:04 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 16 Fedora Update System 2015-06-04 11:42:26 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 17 Fedora Update System 2015-06-20 21:09:54 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-20 21:13:26 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.